--[[ testmodul ]]

if not FixR then return end

local M = FixR:NewModule("testmodul")

function M:Load()
  print("testmodul loaded")
  --FixR:GetOptions("testmodul")
end

function M:Unload()
  print("testmodul unloaded")
end

function M:SetOption(arg1, arg2)
  --print("testmodul SetOption "..arg1)
  --FixR:Echo(...)
  --M.O["option1"] = arg1..arg2
  if arg1 == "map" then
    PrintChildren(_G["Minimap"]:GetChildren())
    --[[
    local kids = { _G["Minimap"]:GetChildren() };
    for _, child in ipairs(kids) do
      -- stuff
      print(child:GetName())
    end
    --]]
    --/script print(GetMouseFocus():GetName())
  end
end

function M:ShowOptions()
  for k, v in pairs(M.O) do
    FixR:Echo("  "..k..": "..(type(v)=="boolean" and (v and "true" or "false") or v))
  end
end

function PrintChildren(...)
  local max = select("#", ...)
  for i = 1, max do
    print(select(i, ...):GetName())
  end
end